Plume URL

/create

Create a new URL

POST
/create

Header Parameters

Authorization*string

Request Body

application/json

url*string

The URL to shorten

Length1 <= length <= 500
expiresAt?|

The timestamp of the URL expiration

description?|

The URL description

customId?|

The custom ID of the URL. For example, you can set the ID of the user creating the URL, allowing you to use the /search endpoint with it.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://url.sodiumlabs.xyz/api/create" \  -H "Authorization: string" \  -H "Content-Type: application/json" \  -d '{    "url": "string"  }'
{
  "userId": "string",
  "createdAt": 0,
  "destination": "string",
  "shortenId": "string",
  "shorten": "string",
  "infoPage": "string",
  "customId": "string",
  "description": "string",
  "expiresAt": 0,
  "expired": true,
  "views": 0,
  "disabled": true
}
{
  "message": "string"
}
{
  "message": "string"
}
{
  "message": "string",
  "errors": [
    {
      "message": "string"
    }
  ]
}
{
  "message": "string"
}